PHP doesnt work after upgrade

software development

#1

Hi

I upgraded from 4.4.2 php_mod to 5.1.2 and now my site doesn’t work. (and I can’t change it back!!!)

From what I can tell, this si due to the change from PHP as Apache module to PHP as CGI.

I can’t find where to select “run PHP as CGI” in the panel (I used to be able to see it)

The problem is that this entry in .htaccess is not working any more

I tried changing /home/myusername/ to …/ but that didn’t seem to make any difference.

I am new to PHP and my site developer is hard to get hold of.

Any Ideas?


#2

Add the following to your .htaccess file, and it’ll put you back in mod_php mode:

AddHandler application/x-httpd-php .php--------
Simon Jessey | Keystone Websites
Save $97 on yearly plans with promo code [color=#CC0000]SCJESSEY97[/color]


#3

AWESOME!!!

I was told, by the developer, to add
AddType application/x-httpd-php .php .PHP
and, surprisingly, it didn’t work

adding
AddHandler application/x-httpd-php .php .PHP
It works it works it works!!!

THANK YOU!!!

BTW This is thread #999 (missed by thaaaaaat much)


#4

Can someone change the wiki to incorporate this info?

The info at:
http://wiki.dreamhost.com/index.php/KB_/Web_Programming/_CGI,PHP&Databases/_PHP#What.27s_the_difference_between_PHP-CGI_and_PHP_as_an_Apache_module.3F
seems to be a bit misleading.


#5

Done. By the way, anyone can edit the wiki (although you have to register first).


Simon Jessey | Keystone Websites
Save $97 on yearly plans with promo code [color=#CC0000]SCJESSEY97[/color]


#6

Yeah, I just found the register link. :slight_smile:

Thanks, Simon.

–i